Hooks:PostHook( WeaponFactoryTweakData, "init", "Frag-12Init", function(self)

	local frag_12_mod_rds1 = {
        "wpn_fps_upg_a_FRAG-12_L"
    }
    
    local frag_12_mod_guns1 = {
		-- Primary Vanilla
        "wpn_fps_shot_saiga",
		"wpn_fps_sho_ben",
		"wpn_fps_sho_spas12",
		"wpn_fps_sho_aa12",
		-- Secondary Vanilla
		"wpn_fps_sho_rota",
		"wpn_fps_sho_striker",
		-- Primary MOD
		"wpn_fps_sho_usas12",
		"wpn_fps_shot_vepr12",
		"wpn_fps_shot_ak12_76",
		"wpn_fps_shot_m1216",
		"wpn_fps_shot_spas15",
		"wpn_fps_shot_prison",
		"wpn_fps_shot_amr12",
		-- Secondary MOD
		"wpn_fps_shot_wmtx",
		"wpn_fps_shot_techno",
		"wpn_fps_shot_qbs",
		"wpn_fps_shot_auto5",
		"wpn_fps_sho_maul",
		"wpn_fps_shot_minibeck",
		"wpn_fps_shot_jackhammer",
		-- Dual MOD
		"wpn_fps_sho_x_rota",
		"wpn_fps_shot_x_jackhammer",
		"wpn_fps_shot_x_s12",
		"wpn_fps_shot_x_techno",
		"wpn_fps_shot_x_striker",
		"wpn_fps_shot_x_aa12"
    }
    
    for i, factory_id in pairs(frag_12_mod_guns1) do
        if self[factory_id] then
            for i, part_id in pairs(frag_12_mod_rds1) do
                if self.parts[part_id] then
                    table.insert(self[factory_id].uses_parts, part_id)
                end
            end
        end
    end
	
	local frag_12_mod_rds2 = {
        "wpn_fps_upg_a_FRAG-12_H"
    }
    
    local frag_12_mod_guns2 = {
		-- Primary Vanilla
		"wpn_fps_shot_r870",
		"wpn_fps_sho_ksg",
		"wpn_fps_shot_huntsman",
		"wpn_fps_sho_boot",
		"wpn_fps_shot_b682",
		"wpn_fps_sho_m590",
		"wpn_fps_shot_m1897",
		-- Secondary Vanilla
		"wpn_fps_shot_serbu",
		"wpn_fps_sho_coach",
		"wpn_fps_shot_m37",
		"wpn_fps_pis_judge",
		-- Primary MOD
		"wpn_fps_sho_heffy_12g",
		"wpn_fps_shot_pa8",
		"wpn_fps_shot_stf12",
		"wpn_fps_shot_toz106",
		"wpn_fps_shot_toz34",
		"wpn_fps_shot_mossberg590",
		"wpn_fps_shot_toz194",
		"wpn_fps_shot_mp153",
		"wpn_fps_shot_trench",
		"wpn_fps_sho_dp12",
		"wpn_fps_shot_sjogren",
		"wpn_fps_shot_r870sawed",
		"wpn_fps_shot_fpsix",
		"wpn_fps_shot_m1912",
		"wpn_fps_shot_triple",
		"wpn_fps_shot_quadbarrel",
		"wpn_fps_shot_sideload",
		"wpn_fps_sho_littlest",
		"wpn_fps_shot_beck",
		"wpn_fps_shot_dokkasho",
		"wpn_fps_shot_mts255",
		-- Secondary MOD
		"wpn_fps_shot_hawk12",
		"wpn_fps_shot_f500",
		"wpn_fps_shot_toz66",
		"wpn_fps_shot_novas",
		"wpn_fps_sho_ashot",
        -- Dual MOD
		"wpn_fps_shot_x_huntsman",
		"wpn_fps_sho_x_coach",
		"wpn_fps_pis_x_judge",
		"wpn_fps_shot_x_toz66",
		"wpn_fps_shot_x_mts255"
    }
    
    for i, factory_id in pairs(frag_12_mod_guns2) do
        if self[factory_id] then
            for i, part_id in pairs(frag_12_mod_rds2) do
                if self.parts[part_id] then
                    table.insert(self[factory_id].uses_parts, part_id)
                end
            end
        end
    end

end )